/*
   Desloca os bits da porta F para e esquerda.
   RB0, RB1 e RB2 controlam a velocidade do deslocamento.
   
   Obs: SW10.5 deve estar em ON para ativar os LEDs
*/

#define VEL_1   100
#define VEL_2   500
#define VEL_3   1000

void main() {

     int select = 0;
     int tempo = VEL_3;
     int rotateCount = 0;
     
     ADPCFG = 0xFFFF;                  // Usa os pinos analgicos como digital

     TRISB = 0xFF;
     TRISF = 0x0;

     LATF = 0b110101011;
     
     while(1) {
           if (Button(&PORTB,0,1,1)) {       // Copia portaD para portaB
              tempo = VEL_1;
           }
           while (RB0_bit);

           if (Button(&PORTB,1,1,1)) {       // Copia portaD para portaB
              tempo = VEL_2;
           }
           while (RB1_bit);

           if (Button(&PORTB,2,1,1)) {       // Copia portaD para portaB
              tempo = VEL_3;
           }
           while (RB2_bit);
           
           LATF = LATF << 1;

           vdelay_ms(tempo); // Cria um atraso em ms. Diferentemente de delay_ms, aceita valores no constantes.
           
           rotateCount++;
           if (rotateCount > 4) {
              rotateCount = 0;
              LATF = 0b110101011;
           }
     }
}